System Administration
cancel
Showing results for 
Search instead for 
Did you mean: 

ilorest tool on centos/rhel 7.6 - Chif driver not found, please check that the chif driver is instal

 
pgustavsson
Frequent Advisor

ilorest tool on centos/rhel 7.6 - Chif driver not found, please check that the chif driver is instal

Dear All,

I have two problems with this tool.

i am using ilorest 2.4 on centos 7.6 

at first, it was working fine to save bios setting with :

ilorest save --selector=Bios. -f settings.json

and loading them with :

ilorest load -f /path/to/jsonfile/settings.json

After a reset of the servers, all bios setting are now the same.

we wanted to change some further bios settings, so i tried doing the same as above again.

and now ilorest is no longer working, when i try to load the bios settings, i now get :

ilorest load -f /path/to/jsonfile/settings.json

Chif driver not found, please check that the chif driver is installed

I have searched for this error, and found this suggestion : 

modprobe hpilo (servers accepts this, but ilorest still gives out the same error)

/etc/init.d/hp-ilo start (this startup script does not exist on the servers)

Second issue is updating the ilo firmware, when i try : 

lorest flashfwpkg ilo5_143.fwpkg

"Failed to decompress file" 

(but this was when ilorest was working, not i just get the same problem with the chif driver not found)

Many thanks in advanced for any help!

Best Regards

Patric

 

 

 

1 REPLY 1
KSINGH_2018
HPE Pro

Re: ilorest tool on centos/rhel 7.6 - Chif driver not found, please check that the chif driver is in

A. First kindly check the RHEL & CentOS supported versions for the Proliant Server in use as per Proliant OS Matrix to identify if the CenOS/RHEL 7.6 is even supported for that Proliant Server or not as we may or may not have the iLO Channel Interface Driver for the same:

Red Hat Enterprise Linux Minimum Operating System Requirements
http://h17007.www1.hpe.com/us/en/enterprise/servers/supportmatrix/exceptions/rhel_exceptions.aspx

CentOS Minimum Operating System Requirements
http://h17007.www1.hpe.com/us/en/enterprise/servers/supportmatrix/exceptions/cent_exceptions.aspx

B. If we have a supported OS Platform as per the Proliant OS Matrix, then reinstall the recommended iLO Channel Interface Driver (As per the Server Model & Host OS Environment from HPESC Website) & Latest RESTful Interface Tool Version: 2.4.1(4 Apr 2019).

RESTful Interface Tool Version: 2.4.1(4 Apr 2019)
https://support.hpe.com/hpsc/swd/public/detail?swItemId=MTX_2be78990743248ad87c6b8beb9

C. The command "ilorest flashfwpkg <file_name.fwpkg>" need to be executed from local host OS. So please check the following if the file "ilo5_143.fwpkg" is available locally on the OS:

    1. Check if we have Read/Write/Execute permissions for "ilo5_143.fwpkg".
     2. Check for current iLO Firmware version as it's not recommended to jump from an old version to latest & we must do online firmware upgrade step-by-step only.

D. If we are remote then we must use the command "ilorest flashfwpkg <file_name.fwpkg> --url <iLO5_IP_Address> -u <iLO5_username> -p <iLO5_password>" & again if current iLO Firmware is old then step-by-step firmware upgrade process is recommended.

Note: As an alternative, we can also upgrade iLO Firmware from iLO Web Interface & HPSUM

For any further assistance, kindly login to your HPE Passport Account & log a case in reference to this issue from HPE Support Case Manager (https://support.hpe.com/portal/site/hpsc/scm/home) as it may require to capture AHS & SOS Reports for further analysis.


Accept or Kudo